SimpleGroovyDoc (groovy 2.4.15 API)
Date: 2018-03-23

Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

- All Implemented Interfaces and Traits:
    GroovyDoc, GroovyTokenTypes

      public class SimpleGroovyDoc
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyDoc (String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static String` | `calculateFirstSentence(String raw)`
    `` | `String` | `commentText()`
    `` | `int` | `compareTo(Object that)`
    `` | `String` | `firstSentenceCommentText()`
    `` | `String` | `getRawCommentText()`
    `` | `String` | `getTypeDescription()`
    `` | `String` | `getTypeSourceDescription()`
    `` | `boolean` | `isAnnotationType()`
    `` | `boolean` | `isAnnotationTypeElement()`
    `` | `boolean` | `isClass()`
    `` | `boolean` | `isConstructor()`
    `` | `boolean` | `isDeprecated()`
    `` | `boolean` | `isEnum()`
    `` | `boolean` | `isEnumConstant()`
    `` | `boolean` | `isError()`
    `` | `boolean` | `isException()`
    `` | `boolean` | `isField()`
    `` | `boolean` | `isIncluded()`
    `` | `boolean` | `isInterface()`
    `` | `boolean` | `isMethod()`
    `` | `boolean` | `isOrdinaryClass()`
    `` | `boolean` | `isScript()`
    `` | `boolean` | `isTrait()`
    `` | `String` | `name()`
    `` | `protected void` | `setCommentText(String commentText)`
    `` | `void` | `setDeprecated(boolean deprecated)`
    `` | `protected void` | `setFirstSentenceCommentText(String firstSentenceCommentText)`
    `` | `void` | `setRawCommentText(String rawCommentText)`
    `` | `void` | `setScript(boolean script)`
    `` | `void` | `setTokenType(int t)`
    `` | `GroovyTag[]` | `tags()`
    `` | `String` | `toString()`
    `` | `int` | `tokenType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SimpleGroovyDoc(String name)

  - ### Method Detail

    - #### public static String calculateFirstSentence(String raw)

    - #### public String commentText()

    - #### public int compareTo(Object that)

    - #### public String firstSentenceCommentText()

    - #### public String getRawCommentText()

    - #### public String getTypeDescription()

    - #### public String getTypeSourceDescription()

    - #### public boolean isAnnotationType()

    - #### public boolean isAnnotationTypeElement()

    - #### public boolean isClass()

    - #### public boolean isConstructor()

    - #### public boolean isDeprecated()

    - #### public boolean isEnum()

    - #### public boolean isEnumConstant()

    - #### public boolean isError()

    - #### public boolean isException()

    - #### public boolean isField()

    - #### public boolean isIncluded()

    - #### public boolean isInterface()

    - #### public boolean isMethod()

    - #### public boolean isOrdinaryClass()

    - #### public boolean isScript()

    - #### public boolean isTrait()

    - #### public String name()

    - #### protected void setCommentText(String commentText)

    - #### public void setDeprecated(boolean deprecated)

    - #### protected void setFirstSentenceCommentText(String firstSentenceCommentText)

    - #### public void setRawCommentText(String rawCommentText)

    - #### public void setScript(boolean script)

    - #### public void setTokenType(int t)

    - #### public GroovyTag[] tags()

    - #### public String toString()

    - #### public int tokenType()